tomcat-rhel

In order to install tomcat on RHEL7 you may need to install native libraries, doing:

yum install apr-devel openssl-devel

[looser@soalinux ~]$ sudo yum install apr-devel openssl-devel
[sudo] password for looser:
Complementos cargados:langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete apr-devel.x86_64 0:1.4.8-3.el7_4.1 debe ser instalado
---> Paquete openssl-devel.x86_64 1:1.0.2k-12.el7 debe ser instalado
--> Procesando dependencias: krb5-devel(x86-64) para el paquete: 1:openssl-devel-1.0.2k-12.el7.x86_64
--> Procesando dependencias: zlib-devel(x86-64) para el paquete: 1:openssl-devel-1.0.2k-12.el7.x86_64
--> Ejecutando prueba de transacción
---> Paquete krb5-devel.x86_64 0:1.15.1-18.el7 debe ser instalado
--> Procesando dependencias: keyutils-libs-devel para el paquete: krb5-devel-1.15.1-18.el7.x86_64
--> Procesando dependencias: libcom_err-devel para el paquete: krb5-devel-1.15.1-18.el7.x86_64
--> Procesando dependencias: libselinux-devel para el paquete: krb5-devel-1.15.1-18.el7.x86_64
--> Procesando dependencias: libverto-devel para el paquete: krb5-devel-1.15.1-18.el7.x86_64
---> Paquete zlib-devel.x86_64 0:1.2.7-17.el7 debe ser instalado
--> Ejecutando prueba de transacción
---> Paquete keyutils-libs-devel.x86_64 0:1.5.8-3.el7 debe ser instalado
---> Paquete libcom_err-devel.x86_64 0:1.42.9-11.el7 debe ser instalado
---> Paquete libselinux-devel.x86_64 0:2.5-12.el7 debe ser instalado
--> Procesando dependencias: libsepol-devel(x86-64) >= 2.5-6 para el paquete: libselinux-devel-2.5-12.el7.x86_64
--> Procesando dependencias: pkgconfig(libpcre) para el paquete: libselinux-devel-2.5-12.el7.x86_64
--> Procesando dependencias: pkgconfig(libsepol) para el paquete: libselinux-devel-2.5-12.el7.x86_64
---> Paquete libverto-devel.x86_64 0:0.2.5-4.el7 debe ser instalado
--> Ejecutando prueba de transacción
---> Paquete libsepol-devel.x86_64 0:2.5-8.1.el7 debe ser instalado
---> Paquete pcre-devel.x86_64 0:8.32-17.el7 debe ser instalado
--> Resolución de dependencias finalizada

Dependencias resueltas

===========================================================================================================================================================
 Package                                    Arquitectura                  Versión                                Repositorio                         Tamaño
===========================================================================================================================================================
Instalando:
 apr-devel                                  x86_64                        1.4.8-3.el7_4.1                        InstallMedia                        188 k
 openssl-devel                              x86_64                        1:1.0.2k-12.el7                        InstallMedia                        1.5 M
Instalando para las dependencias:
 keyutils-libs-devel                        x86_64                        1.5.8-3.el7                            InstallMedia                         37 k
 krb5-devel                                 x86_64                        1.15.1-18.el7                          InstallMedia                        269 k
 libcom_err-devel                           x86_64                        1.42.9-11.el7                          InstallMedia                         31 k
 libselinux-devel                           x86_64                        2.5-12.el7                             InstallMedia                        186 k
 libsepol-devel                             x86_64                        2.5-8.1.el7                            InstallMedia                         77 k
 libverto-devel                             x86_64                        0.2.5-4.el7                            InstallMedia                         12 k
 pcre-devel                                 x86_64                        8.32-17.el7                            InstallMedia                        480 k
 zlib-devel                                 x86_64                        1.2.7-17.el7                           InstallMedia                         50 k

Resumen de la transacción
===========================================================================================================================================================
Instalar  2 Paquetes (+8 Paquetes dependientes)

Tamaño total de la descarga: 2.8 M
Tamaño instalado: 6.6 M
Is this ok [y/d/N]: y
Downloading packages:
-----------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                      6.9 MB/s | 2.8 MB  00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Instalando    : libcom_err-devel-1.42.9-11.el7.x86_64                                                                                               1/10
  Instalando    : libsepol-devel-2.5-8.1.el7.x86_64                                                                                                   2/10
  Instalando    : pcre-devel-8.32-17.el7.x86_64                                                                                                       3/10
  Instalando    : libselinux-devel-2.5-12.el7.x86_64                                                                                                  4/10
  Instalando    : libverto-devel-0.2.5-4.el7.x86_64                                                                                                   5/10
  Instalando    : keyutils-libs-devel-1.5.8-3.el7.x86_64                                                                                              6/10
  Instalando    : krb5-devel-1.15.1-18.el7.x86_64                                                                                                     7/10
  Instalando    : zlib-devel-1.2.7-17.el7.x86_64                                                                                                      8/10
  Instalando    : 1:openssl-devel-1.0.2k-12.el7.x86_64                                                                                                9/10
  Instalando    : apr-devel-1.4.8-3.el7_4.1.x86_64                                                                                                   10/10
  Comprobando   : krb5-devel-1.15.1-18.el7.x86_64                                                                                                     1/10
  Comprobando   : zlib-devel-1.2.7-17.el7.x86_64                                                                                                      2/10
  Comprobando   : keyutils-libs-devel-1.5.8-3.el7.x86_64                                                                                              3/10
  Comprobando   : apr-devel-1.4.8-3.el7_4.1.x86_64                                                                                                    4/10
  Comprobando   : libselinux-devel-2.5-12.el7.x86_64                                                                                                  5/10
  Comprobando   : libverto-devel-0.2.5-4.el7.x86_64                                                                                                   6/10
  Comprobando   : pcre-devel-8.32-17.el7.x86_64                                                                                                       7/10
  Comprobando   : libsepol-devel-2.5-8.1.el7.x86_64                                                                                                   8/10
  Comprobando   : libcom_err-devel-1.42.9-11.el7.x86_64                                                                                               9/10
  Comprobando   : 1:openssl-devel-1.0.2k-12.el7.x86_64                                                                                               10/10

Instalado:
  apr-devel.x86_64 0:1.4.8-3.el7_4.1                                          openssl-devel.x86_64 1:1.0.2k-12.el7

Dependencia(s) instalada(s):
  keyutils-libs-devel.x86_64 0:1.5.8-3.el7             krb5-devel.x86_64 0:1.15.1-18.el7               libcom_err-devel.x86_64 0:1.42.9-11.el7
  libselinux-devel.x86_64 0:2.5-12.el7                 libsepol-devel.x86_64 0:2.5-8.1.el7             libverto-devel.x86_64 0:0.2.5-4.el7
  pcre-devel.x86_64 0:8.32-17.el7                      zlib-devel.x86_64 0:1.2.7-17.el7

¡Listo!
[looser@soalinux ~]$